🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Thread View: ch.comp.os.linux
10 messages
10 total messages Started by Sven Kirmess Sat, 29 May 1999 00:00
thomas härtling
#22157
Author: Sven Kirmess
Date: Sat, 29 May 1999 00:00
10 lines
855 bytes
In den Headern von News/Mail sind h�ufig folgendermassen kodierte From
Felder zu sehen:

thomas =?iso-8859-1?q?h=e4rtling?=

Wie kann ich das Aufschl�sseln? Find ich das in einem RFC? Hat jemand
einen Link?


Sven
Re: thomas härtling
#22161
Author: Marc SCHAEFER
Date: Sun, 30 May 1999 00:00
8 lines
744 bytes
Sven Kirmess <Sven.Kirmess@gmx.net> wrote:
> thomas =?iso-8859-1?q?h=e4rtling?=

The easiest way is to not use accents in the headers.

This encoding must be used because the order of headers can be changed,
and thus a header specifing the encoding can only be valid for the
text body, not the header.
Re: thomas h�rtling
#22162
Author: Andreas Eggenschwiler
Date: Sun, 30 May 1999 00:00
31 lines
1627 bytes
Sven Kirmess <Sven.Kirmess@gmx.net> writes:

> In den Headern von News/Mail sind h�ufig folgendermassen kodierte From
> Felder zu sehen:
> 
> thomas =?iso-8859-1?q?h=e4rtling?=
> 
> Wie kann ich das Aufschl�sseln? Find ich das in einem RFC? Hat jemand
> einen Link?

RFC 2047:

> 1. Introduction
>
>   RFC 2045 describes a mechanism for denoting textual body parts which
>   are coded in various character sets, as well as methods for encoding
>   such body parts as sequences of printable US-ASCII characters.  This
>   memo describes similar techniques to allow the encoding of non-ASCII
>   text in various portions of a RFC 822 [2] message header, in a manner
>   which is unlikely to confuse existing message handling software.

Ich denke, man sollte nicht-US-ASCII-header vermeiden, ich kenne
keinen mail reader (kennt jemand einen?), der die wirklich schluckt,
insbesondere wenn du nicht ISO-latin1 verwendest. (Ich persoenlich
brauche nicht einmal nicht-ASCII im body. Das ist aber ein Tick von
mir und ich wuerde mir nicht anmassen, das von anderen Leuten zu
verlangen.)

-- 
Ciao
	Res
Re: thomas h�rtling
#22163
Author: Andreas Eggenschwiler
Date: Sun, 30 May 1999 00:00
15 lines
1055 bytes
Andreas Eggenschwiler <res@inorg.chem.ethz.ch> writes:

> Ich denke, man sollte nicht-US-ASCII-header vermeiden, ich kenne
> keinen mail reader (kennt jemand einen?), der die wirklich schluckt,

Ich habe geradegesehen, dass gnus offensichtlich deine vermurkste 
Subject: line in meinem followup korrigiert hat. Ich weiss ja, dass 
gnus K3WL!!1! ist, ich staune aber immer wieder ueber den 
_einzig wahren_ [1] mail/news reader.

[1] Das ist so halb ironisch gemeint, bitte keinen Flamewar!

-- 
Ciao
	Res
Re: thomas h�rtling
#22095
Author: Attila Kinali
Date: Mon, 31 May 1999 00:00
24 lines
1295 bytes
On Sun, 30 May 1999 09:20:21, Andreas Eggenschwiler 
<res@inorg.chem.ethz.ch> wrote:

> Ich denke, man sollte nicht-US-ASCII-header vermeiden, ich kenne
> keinen mail reader (kennt jemand einen?), der die wirklich schluckt,
> insbesondere wenn du nicht ISO-latin1 verwendest. 

Ich schon: PMMail, schluckte bisher alles anstandslos.


> (Ich persoenlich
> brauche nicht einmal nicht-ASCII im body. Das ist aber ein Tick von
> mir und ich wuerde mir nicht anmassen, das von anderen Leuten zu
> verlangen.)
> 

Jedem das seine...


			....mir das meine :-)



						Attila Kinali
Re: thomas härtling
#22105
Author: Sven Kirmess
Date: Mon, 31 May 1999 00:00
10 lines
983 bytes
Andreas Eggenschwiler wrote:

> > Wie kann ich das Aufschl�sseln? Find ich das in einem RFC? Hat jemand
> > einen Link?
> RFC 2047:

Danke. War genau was ich gesucht habe... Ist IMHO ein sehr guter RFC mit
vielen Beispielen...

Sven
Re: thomas härtling
#22106
Author: Sven Kirmess
Date: Mon, 31 May 1999 00:00
23 lines
1545 bytes
Andreas Eggenschwiler wrote:

> Ich denke, man sollte nicht-US-ASCII-header vermeiden, ich kenne
> keinen mail reader (kennt jemand einen?), der die wirklich schluckt,

Meinst Du jetzt als ISO-xxx codiert oder 8bit Header?

> insbesondere wenn du nicht ISO-latin1 verwendest. (Ich persoenlich

ISO-latin1; Ist das das ber�hmte ISO-8859-1?

> Ich habe geradegesehen, dass gnus offensichtlich deine vermurkste
> Subject: line in meinem followup korrigiert hat. Ich weiss ja, dass
> gnus K3WL!!1! ist, ich staune aber immer wieder ueber den
> _einzig wahren_ [1] mail/news reader.

Aber ein "echtes" � im Header ist doch nicht US-ASCII? Kann das keien
Probleme geben? Wiedersprichst Du Dir da nicht?


Sven

btw: Ist Gnus das Plug-In f�r den Emacs?
Re: thomas härtling
#22107
Author: Sven Kirmess
Date: Mon, 31 May 1999 00:00
11 lines
989 bytes
Marc SCHAEFER wrote:

> Sven Kirmess <Sven.Kirmess@gmx.net> wrote:
> > thomas =?iso-8859-1?q?h=e4rtling?=
> The easiest way is to not use accents in the headers.

Ich will ja nichts encodieren sondern schon vorhandenen decodieren... Da
hab ich keine Wahl mehr... :-)


Sven
Re: thomas h�rtling
#22114
Author: Andreas Eggenschwiler
Date: Mon, 31 May 1999 00:00
21 lines
1179 bytes
Sven Kirmess <Sven.Kirmess@gmx.net> writes:

> ISO-latin1; Ist das das ber�hmte ISO-8859-1?

Glaube ja. Gibt es da subtile Unterschiede? Weiss jemand mehr?

> Aber ein "echtes" � im Header ist doch nicht US-ASCII? Kann das keien
> Probleme geben? 

Natuerlich, nur scheing gnus zu den seltenen Programmen zu gehoeren, die
das richtig machen.

> Wiedersprichst Du Dir da nicht?

Eigentlich nicht sehr, ich habe nur F fuer 'followup' gedrueckt ohne 
sonst irgendwie einzugreifen. Ich wuerde aber keinen tread starten mit
Umlauten in der Subject: line.

-- 
Ciao
	Res
Re: thomas härtling
#22124
Author: Sven Kirmess
Date: Tue, 01 Jun 1999 00:00
20 lines
1537 bytes
Andreas Eggenschwiler wrote:

> > Aber ein "echtes" � im Header ist doch nicht US-ASCII? Kann das keien
> > Probleme geben?
> Natuerlich, nur scheing gnus zu den seltenen Programmen zu gehoeren, die
> das richtig machen.

Ich kann immer noch nicht folgen... Dein gnus hat doch ein � in dem Header
eingef�gt, wo es eigentlich keine �'s geben sollte...???

> > Wiedersprichst Du Dir da nicht?
> Eigentlich nicht sehr, ich habe nur F fuer 'followup' gedrueckt ohne
> sonst irgendwie einzugreifen. Ich wuerde aber keinen tread starten mit
> Umlauten in der Subject: line.

Ich meinte Deine Aussage, dass Gnus das beste Programm sei und trotzdem ein
� im Header einf�gt, wo es keine haben sollte... (oder doch?)


Sven
Thread Navigation

This is a paginated view of messages in the thread with full content displayed inline.

Messages are displayed in chronological order, with the original post highlighted in green.

Use pagination controls to navigate through all messages in large threads.

Back to All Threads